<?php 



class cAcceso{

	function validar($usuprf_id, $menu_id){

		$sql = "SELECT  m.tb_menu_id ,m.tb_menu_nom, m.tb_menu_tit, m.tb_menu_val,  pm.tb_perfilmenu_id , pm.tb_perfilmenu_per , up.tb_usuarioperfil_id

				FROM tb_menu m 

				INNER JOIN tb_perfilmenu pm on m.tb_menu_id = pm.tb_menu_id 

				INNER JOIN tb_usuarioperfil up on pm.tb_usuarioperfil_id = up.tb_usuarioperfil_id 			

				WHERE up.tb_usuarioperfil_id = $usuprf_id 

					and pm.tb_perfilmenu_xac = 1

					and m.tb_menu_id = $menu_id";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



	function validarPermiso($usuprf_id, $menu_id, $per_val){

		$sql = "SELECT  m.tb_menu_id ,m.tb_menu_nom, m.tb_menu_tit, m.tb_menu_val,  pm.tb_perfilmenu_id , pm.tb_perfilmenu_per , up.tb_usuarioperfil_id

				FROM tb_menu m 

				INNER JOIN tb_perfilmenu pm on m.tb_menu_id = pm.tb_menu_id 

				INNER JOIN tb_usuarioperfil up on pm.tb_usuarioperfil_id = up.tb_usuarioperfil_id 			

				WHERE up.tb_usuarioperfil_id = $usuprf_id 

						and pm.tb_perfilmenu_xac = 1

						and m.tb_menu_id = $menu_id;";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		$num_rows = mysql_num_rows($rst);

		if($num_rows>0){

			$dt = mysql_fetch_array($rst);

			$arr_menu = explode("-",$dt['tb_menu_val']);

			$arr_perf = explode("-",$dt['tb_perfilmenu_per']);

			//

			if(in_array($per_val, $arr_menu) && in_array($per_val, $arr_perf)){

				return true;

			}else{

				return false;

			}

		}else{

			return false;

		}

	}



}





?>

